{
 "cells": [
  {
   "cell_type": "markdown",
   "metadata": {
    "slideshow": {
     "slide_type": "slide"
    }
   },
   "source": [
    "# [Design]()\n",
    "\n",
    "> Design applies shared experience to    **form**s to **function**al ideas."
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 8,
   "metadata": {},
   "outputs": [
    {
     "data": {
      "text/markdown": [
       "    from pydata.style import *\n",
       "    %load_ext literacy.template"
      ],
      "text/plain": [
       "<IPython.core.display.Markdown object>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    },
    {
     "name": "stdout",
     "output_type": "stream",
     "text": [
      "The literacy.template extension is already loaded. To reload it, use:\n",
      "  %reload_ext literacy.template\n"
     ]
    }
   ],
   "source": [
    "    from pydata.style import *\n",
    "    %load_ext literacy.template"
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "   Perhaps one of the earliest multiscale models, Ray and Charles describe the complex relationships across length scales. Their landmark video _Powers of Ten_ illustrated the 1970s state of the art in the design and engineering of optical systems. "
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 2,
   "metadata": {
    "scrolled": true
   },
   "outputs": [
    {
     "data": {
      "text/html": [
       "<div>\n",
       "<style>\n",
       "    .dataframe thead tr:only-child th {\n",
       "        text-align: right;\n",
       "    }\n",
       "\n",
       "    .dataframe thead th {\n",
       "        text-align: left;\n",
       "    }\n",
       "\n",
       "    .dataframe tbody tr th {\n",
       "        vertical-align: top;\n",
       "    }\n",
       "</style>\n",
       "<table border=\"1\" class=\"dataframe\">\n",
       "  <thead>\n",
       "    <tr style=\"text-align: right;\">\n",
       "      <th></th>\n",
       "      <th>constraints</th>\n",
       "      <th>functional</th>\n",
       "      <th>geographical</th>\n",
       "      <th>physical</th>\n",
       "      <th>people</th>\n",
       "      <th>sensory</th>\n",
       "      <th>time</th>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>order</th>\n",
       "      <th>topic</th>\n",
       "      <th></th>\n",
       "      <th></th>\n",
       "      <th></th>\n",
       "      <th></th>\n",
       "      <th></th>\n",
       "      <th></th>\n",
       "    </tr>\n",
       "  </thead>\n",
       "  <tbody>\n",
       "    <tr>\n",
       "      <th>0</th>\n",
       "      <th>design</th>\n",
       "      <td>systems</td>\n",
       "      <td>materials</td>\n",
       "      <td>community</td>\n",
       "      <td>media</td>\n",
       "      <td>culture</td>\n",
       "      <td>design</td>\n",
       "    </tr>\n",
       "  </tbody>\n",
       "</table>\n",
       "</div>"
      ],
      "text/plain": [
       "constraints  functional geographical   physical people  sensory    time\n",
       "order topic                                                            \n",
       "0     design    systems    materials  community  media  culture  design"
      ]
     },
     "execution_count": 2,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "    \n",
    "    df.iloc[[0]]"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 2,
   "metadata": {
    "slideshow": {
     "slide_type": "slide"
    }
   },
   "outputs": [
    {
     "data": {
      "text/markdown": [
       "## _Design_ & [Systems]( \"1979\")"
      ],
      "text/plain": [
       "<IPython.core.display.Markdown object>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    }
   ],
   "source": [
    "## _Design_ & [Systems]( \"1979\")"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 3,
   "metadata": {
    "slideshow": {
     "slide_type": "-"
    }
   },
   "outputs": [
    {
     "data": {
      "text/html": [
       "<style>\n",
       "    iframe {\n",
       "        width: 100%;\n",
       "        min-height: 80vh;\n",
       "        max-height: 1000px;\n",
       "    }\n",
       "</style>"
      ],
      "text/plain": [
       "<IPython.core.display.HTML object>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    },
    {
     "data": {
      "text/html": [
       "<style>\n",
       "body.rise-hack-active div.reveal .code_cell .input,\n",
       "body.rise-hack-active div.reveal .output_stderr {\n",
       "    display: none;\n",
       "}\n",
       "button.rise-hack:hover {\n",
       "    opacity: 0.7;\n",
       "}\n",
       "button.rise-hack {\n",
       "    font-weight: bold;\n",
       "}\n",
       "body.rise-hack-active button.rise-hack {\n",
       "    text-decoration: line-through;\n",
       "}\n",
       "</style>"
      ],
      "text/plain": [
       "<IPython.core.display.HTML object>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    },
    {
     "data": {
      "application/javascript": [
       ";(function(){\n",
       "    function init() {   \n",
       "        $(\"button.rise-hack\").remove();\n",
       "        $(\"body\").addClass(\"rise-hack-active\");\n",
       "        var btn = $(\"<button/>\", {\"class\": \"rise-hack\"}).text(\"</>\");\n",
       "        btn.bind(\"click\", function(){\n",
       "            $(\"body\").toggleClass(\"rise-hack-active\");\n",
       "            Reveal.layout();\n",
       "        });\n",
       "        $(\".controls\").append(btn);\n",
       "    }\n",
       "\n",
       "    function subscribe(){\n",
       "        if(!window.Reveal){\n",
       "            return setTimeout(subscribe, 1000);\n",
       "        }\n",
       "        Reveal.addEventListener('ready', init);\n",
       "        init();\n",
       "    }\n",
       "    subscribe();   \n",
       "}).call(this);"
      ],
      "text/plain": [
       "<IPython.core.display.Javascript object>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    }
   ],
   "source": [
    "\n",
    "    Astropy = Import('.Astropy Units')"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 4,
   "metadata": {},
   "outputs": [
    {
     "data": {
      "text/markdown": [
       "## `Astropy` contains {{len(Astropy.s)}} units \n",
       "\n",
       "    IFrame(Astropy.path)"
      ],
      "text/plain": [
       "<IPython.core.display.Markdown object>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    },
    {
     "data": {
      "text/html": [
       "\n",
       "        <iframe\n",
       "            width=\"600\"\n",
       "            height=\"400\"\n",
       "            src=\"../particles/units_graph.html\"\n",
       "            frameborder=\"0\"\n",
       "            allowfullscreen\n",
       "        ></iframe>\n",
       "        "
      ],
      "text/plain": [
       "<IPython.lib.display.IFrame at 0x10efe2f28>"
      ]
     },
     "execution_count": 4,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "## `Astropy` contains {{len(Astropy.s)}} units \n",
    "\n",
    "    IFrame(Astropy.path)"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 4,
   "metadata": {},
   "outputs": [
    {
     "data": {
      "text/markdown": [
       "> There is an interesting region, i.e. find meters"
      ],
      "text/plain": [
       "<IPython.core.display.Markdown object>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    }
   ],
   "source": [
    "> There is an interesting region, i.e. find meters"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 4,
   "metadata": {
    "slideshow": {
     "slide_type": "subslide"
    }
   },
   "outputs": [
    {
     "data": {
      "text/markdown": [
       "* https://en.wikipedia.org/wiki/Timeline_of_computing_hardware_before_1950\n",
       "* https://en.wikipedia.org/wiki/History_of_computing_hardware_(1960s%E2%80%93present)\n",
       "\n",
       "\n",
       "![](http://i.dailymail.co.uk/i/pix/2017/04/25/16/3F952C0D00000578-4443474-image-a-105_1493135200640.jpg)"
      ],
      "text/plain": [
       "<IPython.core.display.Markdown object>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    }
   ],
   "source": [
    "* https://en.wikipedia.org/wiki/Timeline_of_computing_hardware_before_1950\n",
    "* https://en.wikipedia.org/wiki/History_of_computing_hardware_(1960s%E2%80%93present)\n",
    "\n",
    "\n",
    "![](http://i.dailymail.co.uk/i/pix/2017/04/25/16/3F952C0D00000578-4443474-image-a-105_1493135200640.jpg)"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 4,
   "metadata": {
    "slideshow": {
     "slide_type": "subslide"
    }
   },
   "outputs": [
    {
     "data": {
      "text/html": [
       "\n",
       "        <iframe\n",
       "            width=\"600\"\n",
       "            height=\"400\"\n",
       "            src=\"https://en.m.wikipedia.org/wiki/Transatlantic_communications_cable#Private_cable_routes\"\n",
       "            frameborder=\"0\"\n",
       "            allowfullscreen\n",
       "        ></iframe>\n",
       "        "
      ],
      "text/plain": [
       "<IPython.lib.display.IFrame at 0x1038f6080>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    }
   ],
   "source": [
    "https://en.m.wikipedia.org/wiki/Transatlantic_communications_cable#Private_cable_routes"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 4,
   "metadata": {
    "slideshow": {
     "slide_type": "subslide"
    }
   },
   "outputs": [
    {
     "data": {
      "text/markdown": [
       "![](http://www.scienceclarified.com/photos/hubble-3225.jpg)\n",
       "http://www.scienceclarified.com/scitech/Telescopes/Hubble.html"
      ],
      "text/plain": [
       "<IPython.core.display.Markdown object>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    }
   ],
   "source": [
    "![](http://www.scienceclarified.com/photos/hubble-3225.jpg)\n",
    "http://www.scienceclarified.com/scitech/Telescopes/Hubble.html"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 4,
   "metadata": {
    "slideshow": {
     "slide_type": "slide"
    }
   },
   "outputs": [
    {
     "data": {
      "text/markdown": [
       "## _Design_ & [Materials]()\n",
       "\n",
       "* Metals, Polymers, Ceramics\n",
       "* Function, Structural\n",
       "* Composite"
      ],
      "text/plain": [
       "<IPython.core.display.Markdown object>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    }
   ],
   "source": [
    "## _Design_ & [Materials]()\n",
    "\n",
    "* Metals, Polymers, Ceramics\n",
    "* Function, Structural\n",
    "* Composite"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 4,
   "metadata": {
    "slideshow": {
     "slide_type": "-"
    }
   },
   "outputs": [
    {
     "data": {
      "text/markdown": [
       "![](https://i.pinimg.com/736x/f4/97/41/f497413e4278558b62544b6a9ef25de3--tv-quotes-movie-quotes.jpg)\n",
       " "
      ],
      "text/plain": [
       "<IPython.core.display.Markdown object>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    }
   ],
   "source": [
    "![](https://i.pinimg.com/736x/f4/97/41/f497413e4278558b62544b6a9ef25de3--tv-quotes-movie-quotes.jpg)\n",
    " "
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 5,
   "metadata": {
    "slideshow": {
     "slide_type": "fragment"
    }
   },
   "outputs": [
    {
     "data": {
      "text/html": [
       "<div class=\"github-card\" data-user=\"chrislgarry\" data-repo=\"Apollo-11\"></div>\n",
       "<script src=\"https://cdn.jsdelivr.net/gh/lepture/github-cards@1.0.2/jsdelivr/widget.js\"></script>"
      ],
      "text/plain": [
       "<IPython.core.display.HTML object>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    }
   ],
   "source": [
    "    \n",
    "    %%html\n",
    "    <div class=\"github-card\" data-user=\"chrislgarry\" data-repo=\"Apollo-11\"></div>\n",
    "    <script src=\"https://cdn.jsdelivr.net/gh/lepture/github-cards@1.0.2/jsdelivr/widget.js\"></script>"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 5,
   "metadata": {
    "slideshow": {
     "slide_type": "subslide"
    }
   },
   "outputs": [
    {
     "data": {
      "text/markdown": [
       "## Hubble Glass\n",
       "\n",
       "![](http://www.scienceclarified.com/scitech/images/lsts_0001_0001_0_img0028.jpg)\n",
       " "
      ],
      "text/plain": [
       "<IPython.core.display.Markdown object>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    }
   ],
   "source": [
    "## Hubble Glass\n",
    "\n",
    "![](http://www.scienceclarified.com/scitech/images/lsts_0001_0001_0_img0028.jpg)\n",
    " "
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 5,
   "metadata": {
    "slideshow": {
     "slide_type": "subslide"
    }
   },
   "outputs": [
    {
     "data": {
      "text/markdown": [
       "## [Gorilla Glass](http://www.designlife-cycle.com/corning-gorilla-glass/)"
      ],
      "text/plain": [
       "<IPython.core.display.Markdown object>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    },
    {
     "data": {
      "text/html": [
       "\n",
       "        <iframe\n",
       "            width=\"600\"\n",
       "            height=\"400\"\n",
       "            src=\"http://www.designlife-cycle.com/corning-gorilla-glass/\"\n",
       "            frameborder=\"0\"\n",
       "            allowfullscreen\n",
       "        ></iframe>\n",
       "        "
      ],
      "text/plain": [
       "<IPython.lib.display.IFrame at 0x10ef874a8>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    }
   ],
   "source": [
    "## [Gorilla Glass](http://www.designlife-cycle.com/corning-gorilla-glass/)"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 5,
   "metadata": {
    "slideshow": {
     "slide_type": "subslide"
    }
   },
   "outputs": [
    {
     "data": {
      "text/markdown": [
       "### [Degradation of railway rails from a materials point of view](http://publications.lib.chalmers.se/records/fulltext/173441/173441.pdf#page=15)"
      ],
      "text/plain": [
       "<IPython.core.display.Markdown object>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    },
    {
     "data": {
      "text/html": [
       "\n",
       "        <iframe\n",
       "            width=\"600\"\n",
       "            height=\"400\"\n",
       "            src=\"http://publications.lib.chalmers.se/records/fulltext/173441/173441.pdf#page=15\"\n",
       "            frameborder=\"0\"\n",
       "            allowfullscreen\n",
       "        ></iframe>\n",
       "        "
      ],
      "text/plain": [
       "<IPython.lib.display.IFrame at 0x10efe2668>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    }
   ],
   "source": [
    "### [Degradation of railway rails from a materials point of view](http://publications.lib.chalmers.se/records/fulltext/173441/173441.pdf#page=15)"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 5,
   "metadata": {
    "slideshow": {
     "slide_type": "subslide"
    }
   },
   "outputs": [
    {
     "data": {
      "text/markdown": [
       "## [Advanced High Strength Steels](https://lightmat.org/capabilities/los-alamos-national-laboratory/advanced-high-strength-steel-development)\n",
       "\n",
       "[![](https://lightmat.org/sites/default/files/capabilities/001_2_LANL.png)](https://lightmat.org/capabilities/los-alamos-national-laboratory/advanced-high-strength-steel-development)"
      ],
      "text/plain": [
       "<IPython.core.display.Markdown object>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    }
   ],
   "source": [
    "## [Advanced High Strength Steels](https://lightmat.org/capabilities/los-alamos-national-laboratory/advanced-high-strength-steel-development)\n",
    "\n",
    "[![](https://lightmat.org/sites/default/files/capabilities/001_2_LANL.png)](https://lightmat.org/capabilities/los-alamos-national-laboratory/advanced-high-strength-steel-development)"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 5,
   "metadata": {
    "scrolled": false,
    "slideshow": {
     "slide_type": "subslide"
    }
   },
   "outputs": [
    {
     "data": {
      "text/markdown": [
       "[![](https://image.slidesharecdn.com/flamel-ss-141210102438-conversion-gate02/95/flamel-materials-informatics-course-roundup-15-1024.jpg?cb=1418218370)](https://www.slideshare.net/tonyfast1/flamel-materials-informatics-course-roundup)\n",
       " "
      ],
      "text/plain": [
       "<IPython.core.display.Markdown object>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    }
   ],
   "source": [
    "[![](https://image.slidesharecdn.com/flamel-ss-141210102438-conversion-gate02/95/flamel-materials-informatics-course-roundup-15-1024.jpg?cb=1418218370)](https://www.slideshare.net/tonyfast1/flamel-materials-informatics-course-roundup)\n",
    " "
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 5,
   "metadata": {
    "slideshow": {
     "slide_type": "subslide"
    }
   },
   "outputs": [
    {
     "data": {
      "text/markdown": [
       "### [High-Throughput Image Analysis of Fibrillar Materials: A Case Study on Polymer Nanofiber Packing, Alignment, and Defects in Organic Field Effect Transistors](http://pubs.acs.org/doi/abs/10.1021/acsami.7b10510)\n",
       " "
      ],
      "text/plain": [
       "<IPython.core.display.Markdown object>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    }
   ],
   "source": [
    "### [High-Throughput Image Analysis of Fibrillar Materials: A Case Study on Polymer Nanofiber Packing, Alignment, and Defects in Organic Field Effect Transistors](http://pubs.acs.org/doi/abs/10.1021/acsami.7b10510)\n",
    " "
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 5,
   "metadata": {},
   "outputs": [
    {
     "data": {
      "text/html": [
       "\n",
       "        <iframe\n",
       "            width=\"600\"\n",
       "            height=\"400\"\n",
       "            src=\"https://zoomimgs.github.io\"\n",
       "            frameborder=\"0\"\n",
       "            allowfullscreen\n",
       "        ></iframe>\n",
       "        "
      ],
      "text/plain": [
       "<IPython.lib.display.IFrame at 0x10efe2c88>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    }
   ],
   "source": [
    "https://zoomimgs.github.io"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 5,
   "metadata": {
    "slideshow": {
     "slide_type": "subslide"
    }
   },
   "outputs": [
    {
     "data": {
      "text/markdown": [
       "## _Design_ & [Community]()\n",
       "\n",
       "> Communities, and their varied forms and structures, are essential to considering other functional constraints."
      ],
      "text/plain": [
       "<IPython.core.display.Markdown object>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    }
   ],
   "source": [
    "## _Design_ & [Community]()\n",
    "\n",
    "> Communities, and their varied forms and structures, are essential to considering other functional constraints."
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 5,
   "metadata": {
    "slideshow": {
     "slide_type": "subslide"
    }
   },
   "outputs": [
    {
     "data": {
      "text/markdown": [
       "### Philanthropic\n",
       "* [Human Cell Atlas](https://www.humancellatlas.org/) ([Chan Zuckerberg](https://chanzuckerberg.com/))"
      ],
      "text/plain": [
       "<IPython.core.display.Markdown object>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    }
   ],
   "source": [
    "### Philanthropic\n",
    "* [Human Cell Atlas](https://www.humancellatlas.org/) ([Chan Zuckerberg](https://chanzuckerberg.com/))"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 5,
   "metadata": {
    "slideshow": {
     "slide_type": "fragment"
    }
   },
   "outputs": [
    {
     "data": {
      "text/markdown": [
       "### Government\n",
       "* National Manufacturing Initiatives\n",
       "* Materials By Design\n",
       "* [CERN](https://home.cern)"
      ],
      "text/plain": [
       "<IPython.core.display.Markdown object>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    }
   ],
   "source": [
    "### Government\n",
    "* National Manufacturing Initiatives\n",
    "* Materials By Design\n",
    "* [CERN](https://home.cern)"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 5,
   "metadata": {
    "slideshow": {
     "slide_type": "fragment"
    }
   },
   "outputs": [
    {
     "data": {
      "text/markdown": [
       "### Public\n",
       "\n",
       "![](https://github.com/jupyter/notebook/raw/master/notebook/static/base/images/logo.png)\n",
       "\n",
       "# conda ![](https://conda-forge.org/img/anvil_black.png) forge"
      ],
      "text/plain": [
       "<IPython.core.display.Markdown object>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    }
   ],
   "source": [
    "### Public\n",
    "\n",
    "![](https://github.com/jupyter/notebook/raw/master/notebook/static/base/images/logo.png)\n",
    "\n",
    "# conda ![](https://conda-forge.org/img/anvil_black.png) forge"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 5,
   "metadata": {
    "slideshow": {
     "slide_type": "slide"
    }
   },
   "outputs": [
    {
     "data": {
      "text/plain": [
       "<IPython.core.display.Markdown object>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    }
   ],
   "source": [
    "https://www.ncbi.nlm.nih.gov/pmc/articles/PMC3878597/\n",
    "https://en.m.wikipedia.org/wiki/Reproducibility#Reproducible_research\n",
    "https://en.m.wikipedia.org/wiki/The_Structure_of_Scientific_Revolutions \n",
    "https://en.m.wikipedia.org/wiki/LIGO_Scientific_Collaboration#History\n",
    "https://www.fraunhofer.de/en.html"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 5,
   "metadata": {
    "slideshow": {
     "slide_type": "slide"
    }
   },
   "outputs": [
    {
     "data": {
      "text/markdown": [
       "## _Design_ & [Media]()\n",
       "\n",
       "![](https://www.oldtimeradiodownloads.com/assets/img/serie/img_otr.jpg)"
      ],
      "text/plain": [
       "<IPython.core.display.Markdown object>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    }
   ],
   "source": [
    "## _Design_ & [Media]()\n",
    "\n",
    "![](https://www.oldtimeradiodownloads.com/assets/img/serie/img_otr.jpg)"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 5,
   "metadata": {
    "slideshow": {
     "slide_type": "subslide"
    }
   },
   "outputs": [
    {
     "data": {
      "text/markdown": [
       "> ##  [The First Web Page](http://info.cern.ch/hypertext/WWW/TheProject.html \"1990\")"
      ],
      "text/plain": [
       "<IPython.core.display.Markdown object>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    },
    {
     "data": {
      "text/html": [
       "\n",
       "        <iframe\n",
       "            width=\"600\"\n",
       "            height=\"400\"\n",
       "            src=\"http://info.cern.ch/hypertext/WWW/TheProject.html\"\n",
       "            frameborder=\"0\"\n",
       "            allowfullscreen\n",
       "        ></iframe>\n",
       "        "
      ],
      "text/plain": [
       "<IPython.lib.display.IFrame at 0x10efe2358>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    }
   ],
   "source": [
    "> ##  [The First Web Page](http://info.cern.ch/hypertext/WWW/TheProject.html \"1990\")"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 5,
   "metadata": {
    "slideshow": {
     "slide_type": "subslide"
    }
   },
   "outputs": [
    {
     "data": {
      "text/markdown": [
       "## [Django](https://en.m.wikipedia.org/wiki/Django_%28web_framework%29)"
      ],
      "text/plain": [
       "<IPython.core.display.Markdown object>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    },
    {
     "data": {
      "text/html": [
       "\n",
       "        <iframe\n",
       "            width=\"600\"\n",
       "            height=\"400\"\n",
       "            src=\"https://en.m.wikipedia.org/wiki/Django_%28web_framework%29\"\n",
       "            frameborder=\"0\"\n",
       "            allowfullscreen\n",
       "        ></iframe>\n",
       "        "
      ],
      "text/plain": [
       "<IPython.lib.display.IFrame at 0x10efe2cf8>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    }
   ],
   "source": [
    "## [Django](https://en.m.wikipedia.org/wiki/Django_%28web_framework%29)"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 5,
   "metadata": {
    "slideshow": {
     "slide_type": "subslide"
    }
   },
   "outputs": [
    {
     "data": {
      "text/markdown": [
       "## [Particles at NYT](http://nytlabs.com/blog/2015/10/20/particles/)"
      ],
      "text/plain": [
       "<IPython.core.display.Markdown object>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    },
    {
     "data": {
      "text/html": [
       "\n",
       "        <iframe\n",
       "            width=\"600\"\n",
       "            height=\"400\"\n",
       "            src=\"http://nytlabs.com/blog/2015/10/20/particles/\"\n",
       "            frameborder=\"0\"\n",
       "            allowfullscreen\n",
       "        ></iframe>\n",
       "        "
      ],
      "text/plain": [
       "<IPython.lib.display.IFrame at 0x10efe2668>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    }
   ],
   "source": [
    "## [Particles at NYT](http://nytlabs.com/blog/2015/10/20/particles/)"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 5,
   "metadata": {
    "slideshow": {
     "slide_type": "subslide"
    }
   },
   "outputs": [
    {
     "data": {
      "text/markdown": [
       "## [d3: Data-Driven documents](https://d3js.org)"
      ],
      "text/plain": [
       "<IPython.core.display.Markdown object>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    },
    {
     "data": {
      "text/html": [
       "\n",
       "        <iframe\n",
       "            width=\"600\"\n",
       "            height=\"400\"\n",
       "            src=\"https://d3js.org\"\n",
       "            frameborder=\"0\"\n",
       "            allowfullscreen\n",
       "        ></iframe>\n",
       "        "
      ],
      "text/plain": [
       "<IPython.lib.display.IFrame at 0x10efe2c88>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    }
   ],
   "source": [
    "## [d3: Data-Driven documents](https://d3js.org)"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 5,
   "metadata": {
    "slideshow": {
     "slide_type": "subslide"
    }
   },
   "outputs": [
    {
     "data": {
      "text/html": [
       "\n",
       "        <iframe\n",
       "            width=\"600\"\n",
       "            height=\"400\"\n",
       "            src=\"https://getbootstrap.com/\"\n",
       "            frameborder=\"0\"\n",
       "            allowfullscreen\n",
       "        ></iframe>\n",
       "        "
      ],
      "text/plain": [
       "<IPython.lib.display.IFrame at 0x10ef87978>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    }
   ],
   "source": [
    "https://getbootstrap.com/"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 5,
   "metadata": {
    "slideshow": {
     "slide_type": "subslide"
    }
   },
   "outputs": [
    {
     "data": {
      "text/html": [
       "\n",
       "        <iframe\n",
       "            width=\"600\"\n",
       "            height=\"400\"\n",
       "            src=\"https://reactjs.org/\"\n",
       "            frameborder=\"0\"\n",
       "            allowfullscreen\n",
       "        ></iframe>\n",
       "        "
      ],
      "text/plain": [
       "<IPython.lib.display.IFrame at 0x10efe2358>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    }
   ],
   "source": [
    "https://reactjs.org/"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 5,
   "metadata": {
    "slideshow": {
     "slide_type": "slide"
    }
   },
   "outputs": [
    {
     "data": {
      "text/markdown": [
       "## _Design_ & [Culture]()\n",
       "\n",
       "Our complex systems our changing and humans are adapting to displacement}\n",
       "\n",
       "![](https://cdn.hpm.io/wp-content/uploads/2016/03/Levee-Profile.jpg)"
      ],
      "text/plain": [
       "<IPython.core.display.Markdown object>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    }
   ],
   "source": [
    "## _Design_ & [Culture]()\n",
    "\n",
    "Our complex systems our changing and humans are adapting to displacement}\n",
    "\n",
    "![](https://cdn.hpm.io/wp-content/uploads/2016/03/Levee-Profile.jpg)"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 5,
   "metadata": {
    "slideshow": {
     "slide_type": "subslide"
    }
   },
   "outputs": [
    {
     "data": {
      "text/html": [
       "\n",
       "        <iframe\n",
       "            width=\"600\"\n",
       "            height=\"400\"\n",
       "            src=\"https://www.ushahidi.com/ \"\n",
       "            frameborder=\"0\"\n",
       "            allowfullscreen\n",
       "        ></iframe>\n",
       "        "
      ],
      "text/plain": [
       "<IPython.lib.display.IFrame at 0x10efe2198>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    }
   ],
   "source": [
    "https://www.ushahidi.com/ "
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 5,
   "metadata": {
    "slideshow": {
     "slide_type": "subslide"
    }
   },
   "outputs": [
    {
     "data": {
      "text/plain": [
       "<IPython.core.display.Markdown object>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    }
   ],
   "source": [
    "https://native-land.ca/\n",
    "\n",
    "    \n",
    "inconvenient truth\n",
    "\n",
    "h"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 5,
   "metadata": {
    "slideshow": {
     "slide_type": "subslide"
    }
   },
   "outputs": [
    {
     "data": {
      "text/html": [
       "\n",
       "        <iframe\n",
       "            width=\"600\"\n",
       "            height=\"400\"\n",
       "            src=\"http://opengeoscience.github.io/geojs/examples/hurricanes/\"\n",
       "            frameborder=\"0\"\n",
       "            allowfullscreen\n",
       "        ></iframe>\n",
       "        "
      ],
      "text/plain": [
       "<IPython.lib.display.IFrame at 0x10efe2278>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    }
   ],
   "source": [
    "http://opengeoscience.github.io/geojs/examples/hurricanes/"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 5,
   "metadata": {
    "slideshow": {
     "slide_type": "slide"
    }
   },
   "outputs": [
    {
     "data": {
      "text/markdown": [
       "## _Design_ & [Design]()\n",
       "\n",
       "\n",
       "![Gorilla glass makes this possible](http://cdn.hexjam.com/editorial_service/bases/images/000/004/947/large/brokenphonefeature.png-1.jpg?1404202657)"
      ],
      "text/plain": [
       "<IPython.core.display.Markdown object>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    }
   ],
   "source": [
    "## _Design_ & [Design]()\n",
    "\n",
    "\n",
    "![Gorilla glass makes this possible](http://cdn.hexjam.com/editorial_service/bases/images/000/004/947/large/brokenphonefeature.png-1.jpg?1404202657)"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 5,
   "metadata": {
    "slideshow": {
     "slide_type": "skip"
    }
   },
   "outputs": [
    {
     "data": {
      "text/html": [
       "\n",
       "        <iframe\n",
       "            width=\"600\"\n",
       "            height=\"400\"\n",
       "            src=\"https://www.smithsonianmag.com/science-nature/but-did-you-see-the-gorilla-the-problem-with-inattentional-blindness-17339778/\"\n",
       "            frameborder=\"0\"\n",
       "            allowfullscreen\n",
       "        ></iframe>\n",
       "        "
      ],
      "text/plain": [
       "<IPython.lib.display.IFrame at 0x10efe2668>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    }
   ],
   "source": [
    "https://www.smithsonianmag.com/science-nature/but-did-you-see-the-gorilla-the-problem-with-inattentional-blindness-17339778/"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 6,
   "metadata": {},
   "outputs": [
    {
     "data": {
      "text/markdown": [
       "## [`ωorldΒank=__import__('particles.World Bank')`](../World Bank.ipynb)"
      ],
      "text/plain": [
       "<IPython.core.display.Markdown object>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    },
    {
     "data": {
      "image/png": "iVBORw0KGgoAAAANSUhEUgAAAW4AAAERCAYAAABb1k2bAAAABHNCSVQICAgIfAhkiAAAAAlwSFlz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\nuIUQws38P380pQmz3ow0AAAAAElFTkSuQmCC\n",
      "text/plain": [
       "<matplotlib.figure.Figure at 0x10488e2e8>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    }
   ],
   "source": [
    "## [`ωorldΒank=__import__('particles.World Bank')`](../World Bank.ipynb)"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 6,
   "metadata": {
    "slideshow": {
     "slide_type": "subslide"
    }
   },
   "outputs": [
    {
     "data": {
      "text/html": [
       "\n",
       "        <iframe\n",
       "            width=\"600\"\n",
       "            height=\"400\"\n",
       "            src=\"http://www.redharebrewing.com/red-hare-launches-worlds-first-evercan/\"\n",
       "            frameborder=\"0\"\n",
       "            allowfullscreen\n",
       "        ></iframe>\n",
       "        "
      ],
      "text/plain": [
       "<IPython.lib.display.IFrame at 0x10efe2cf8>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    }
   ],
   "source": [
    "http://www.redharebrewing.com/red-hare-launches-worlds-first-evercan/"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 6,
   "metadata": {
    "slideshow": {
     "slide_type": "subslide"
    }
   },
   "outputs": [
    {
     "data": {
      "text/markdown": [
       "## [Design of Experiments](https://en.m.wikipedia.org/wiki/Design_of_experiments#Fisher.27s_principles 1935)"
      ],
      "text/plain": [
       "<IPython.core.display.Markdown object>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    },
    {
     "data": {
      "text/html": [
       "\n",
       "        <iframe\n",
       "            width=\"600\"\n",
       "            height=\"400\"\n",
       "            src=\"https://en.m.wikipedia.org/wiki/Design_of_experiments#Fisher.27s_principles 1935\"\n",
       "            frameborder=\"0\"\n",
       "            allowfullscreen\n",
       "        ></iframe>\n",
       "        "
      ],
      "text/plain": [
       "<IPython.lib.display.IFrame at 0x10efd0828>"
      ]
     },
     "metadata": {},
     "output_type": "display_data"
    }
   ],
   "source": [
    "## [Design of Experiments](https://en.m.wikipedia.org/wiki/Design_of_experiments#Fisher.27s_principles 1935)"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 7,
   "metadata": {
    "slideshow": {
     "slide_type": "subslide"
    }
   },
   "outputs": [
    {
     "name": "stdout",
     "output_type": "stream",
     "text": [
      "Iris Plants Database\n",
      "====================\n",
      "\n",
      "Notes\n",
      "-----\n",
      "Data Set Characteristics:\n",
      "    :Number of Instances: 150 (50 in each of three classes)\n",
      "    :Number of Attributes: 4 numeric, predictive attributes and the class\n",
      "    :Attribute Information:\n",
      "        - sepal length in cm\n",
      "        - sepal width in cm\n",
      "        - petal length in cm\n",
      "        - petal width in cm\n",
      "        - class:\n",
      "                - Iris-Setosa\n",
      "                - Iris-Versicolour\n",
      "                - Iris-Virginica\n",
      "    :Summary Statistics:\n",
      "\n",
      "    ============== ==== ==== ======= ===== ====================\n",
      "                    Min  Max   Mean    SD   Class Correlation\n",
      "    ============== ==== ==== ======= ===== ====================\n",
      "    sepal length:   4.3  7.9   5.84   0.83    0.7826\n",
      "    sepal width:    2.0  4.4   3.05   0.43   -0.4194\n",
      "    petal length:   1.0  6.9   3.76   1.76    0.9490  (high!)\n",
      "    petal width:    0.1  2.5   1.20  0.76     0.9565  (high!)\n",
      "    ============== ==== ==== ======= ===== ====================\n",
      "\n",
      "    :Missing Attribute Values: None\n",
      "    :Class Distribution: 33.3% for each of 3 classes.\n",
      "    :Creator: R.A. Fisher\n",
      "    :Donor: Michael Marshall (MARSHALL%PLU@io.arc.nasa.gov)\n",
      "    :Date: July, 1988\n",
      "\n",
      "This is a copy of UCI ML iris datasets.\n",
      "http://archive.ics.uci.edu/ml/datasets/Iris\n",
      "\n",
      "The famous Iris database, first used by Sir R.A Fisher\n",
      "\n",
      "This is perhaps the best known database to be found in the\n",
      "pattern recognition literature.  Fisher's paper is a classic in the field and\n",
      "is referenced frequently to this day.  (See Duda & Hart, for example.)  The\n",
      "data set contains 3 classes of 50 instances each, where each class refers to a\n",
      "type of iris plant.  One class is linearly separable from the other 2; the\n",
      "latter are NOT linearly separable from each other.\n",
      "\n",
      "References\n",
      "----------\n",
      "   - Fisher,R.A. \"The use of multiple measurements in taxonomic problems\"\n",
      "     Annual Eugenics, 7, Part II, 179-188 (1936); also in \"Contributions to\n",
      "     Mathematical Statistics\" (John Wiley, NY, 1950).\n",
      "   - Duda,R.O., & Hart,P.E. (1973) Pattern Classification and Scene Analysis.\n",
      "     (Q327.D83) John Wiley & Sons.  ISBN 0-471-22361-1.  See page 218.\n",
      "   - Dasarathy, B.V. (1980) \"Nosing Around the Neighborhood: A New System\n",
      "     Structure and Classification Rule for Recognition in Partially Exposed\n",
      "     Environments\".  IEEE Transactions on Pattern Analysis and Machine\n",
      "     Intelligence, Vol. PAMI-2, No. 1, 67-71.\n",
      "   - Gates, G.W. (1972) \"The Reduced Nearest Neighbor Rule\".  IEEE Transactions\n",
      "     on Information Theory, May 1972, 431-433.\n",
      "   - See also: 1988 MLC Proceedings, 54-64.  Cheeseman et al\"s AUTOCLASS II\n",
      "     conceptual clustering system finds 3 classes in the data.\n",
      "   - Many, many more ...\n",
      "\n"
     ]
    }
   ],
   "source": [
    "    \n",
    "    import sklearn.datasets\n",
    "    print(sklearn.datasets.load_iris().DESCR)"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": null,
   "metadata": {
    "collapsed": true
   },
   "outputs": [],
   "source": []
  }
 ],
 "metadata": {
  "celltoolbar": "Slideshow",
  "kernelspec": {
   "display_name": "Python 3",
   "language": "python",
   "name": "python3"
  },
  "language_info": {
   "codemirror_mode": {
    "name": "ipython",
    "version": 3
   },
   "file_extension": ".py",
   "mimetype": "text/x-python",
   "name": "python",
   "nbconvert_exporter": "python",
   "pygments_lexer": "ipython3",
   "version": "3.5.3"
  }
 },
 "nbformat": 4,
 "nbformat_minor": 2
}
